Subject: Re: [PATCH] net/wireless/libertas: do not call wiphy_unregister() w/o wiphy_register()

From: Dan Williams <[email-masked]>
Date: Tue, 30 Mar 2010 10:04:33 -0700

On Tue, 2010-03-30 at 12:59 +0200, Holger Schurig wrote:
> > I don't get your point. The patch I submitted fixes an Ooops in the
> > driver, due to wrong handling of an API. What does that have to do with
> > principle discussions about the frameworks in use?
> 
> I asked if there is a better method, and you said that you would test a better 
> solution. That means that someone else should make a better solution.
> 
> I just pointed out that I won't be the one who creates the better solution, 
> because for fundamental reasons I don't see the libertas+cfg80211 approach 
> going forward. That issue has nothing to do with you or your patch, so please 
> don't feel offended or confused.

Fine; just rip out the mesh code and do the vanilla cfg80211 conversion
for infra & adhoc, and we'll add the mesh code back later.  I don't have
time to do the cfg80211 bits, neither do the OLPC guys (AFAIK), so lets
take advantage of your willingness to do this and just move the driver
forward.

Dan

> 
> Basically, I neither ack nor nak you patch. Given that it fixes an oops the 
> patch should go in, and probably to stable at well. I just gave a hint, to 
> make you think if you could come up with something better.
> 
> 
> 
> BTW, testing/fixing of failure paths in libertas as well as simplifying the 
> call sequence of functions during initialisation could be quite useful.
> 
> _______________________________________________
> libertas-dev mailing list
> [email-masked]
> http://lists.infradead.org/mailman/listinfo/libertas-dev

--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html